Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IImageContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContent, IElement, IStyledElement

    public interface IImageContent

extends IContent

Image content in the report.

Field Summary
`static int` | `IMAGE_EXPRESSION`
`static int` | `IMAGE_FILE`
`static int` | `IMAGE_NAME`
`static int` | `IMAGE_URI` Deprecated. replaced by IMAGE_URL
`static int` | `IMAGE_URL`

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`java.lang.String` | `getAltText()`
`java.lang.String` | `getAltTextKey()`
`byte[]` | `getData()`
`java.lang.String` | `getExtension()`
`java.lang.String` | `getHelpKey()`
`java.lang.Object` | `getImageMap()`
`int` | `getImageSource()` Returns the type of image source
`java.lang.String` | `getMIMEType()` get the MIMEType
`int` | `getResolution()`
`java.lang.String` | `getURI()`
`void` | `setAltText(java.lang.String altText)`
`void` | `setAltTextKey(java.lang.String key)`
`void` | `setData(byte[] data)`
`void` | `setExtension(java.lang.String extension)`
`void` | `setHelpKey(java.lang.String key)`
`void` | `setImageMap(java.lang.Object map)`
`void` | `setImageSource(int source)`
`void` | `setMIMEType(java.lang.String mimeType)`
`void` | `setResolution(int resolution)`
`void` | `setURI(java.lang.String uri)`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHelpText, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Field Detail

### IMAGE_FILE

    static final int IMAGE_FILE

See Also:
  Constant Field Values

### IMAGE_NAME

    static final int IMAGE_NAME

See Also:
  Constant Field Values

### IMAGE_EXPRESSION

    static final int IMAGE_EXPRESSION

See Also:
  Constant Field Values

### IMAGE_URL

    static final int IMAGE_URL

See Also:
  Constant Field Values

### IMAGE_URI

    static final int IMAGE_URI

  Deprecated. replaced by IMAGE_URL
  See Also:
    Constant Field Values

Method Detail

### getAltText

    java.lang.String getAltText()

  Returns:
    Returns the altText.

### getAltTextKey

    java.lang.String getAltTextKey()

### setAltText

    void setAltText(java.lang.String altText)

### setAltTextKey

    void setAltTextKey(java.lang.String key)

### setHelpKey

    void setHelpKey(java.lang.String key)

### getHelpKey

    java.lang.String getHelpKey()

### getData

    byte[] getData()

  Returns:
    Returns the data.

### setData

    void setData(byte[] data)

### getExtension

    java.lang.String getExtension()

  Returns:
    Returns the extension.

### setExtension

    void setExtension(java.lang.String extension)

### getURI

    java.lang.String getURI()

  Returns:
    Returns the URI.

### setURI

    void setURI(java.lang.String uri)

### getImageSource

    int getImageSource()

  Returns the type of image source

### setImageSource

    void setImageSource(int source)

### getImageMap

    java.lang.Object getImageMap()

  Returns:
    the image map (null means no image map)

### setImageMap

    void setImageMap(java.lang.Object map)

### getMIMEType

    java.lang.String getMIMEType()

  get the MIMEType

### setMIMEType

    void setMIMEType(java.lang.String mimeType)

### getResolution

    int getResolution()

### setResolution

    void setResolution(int resolution)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.